Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui.synchronize
Class WorkspaceScope

    java.lang.Object
      org.eclipse.team.ui.synchronize.AbstractSynchronizeScope
          org.eclipse.team.ui.synchronize.WorkspaceScope

All Implemented Interfaces:
  ISynchronizeScope

public class WorkspaceScope
extends AbstractSynchronizeScope

A synchronize scope whose roots are the workspace.

Clients are not expected to subclass this class.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.team.ui.synchronize.ISynchronizeScope
`ROOTS`

Constructor Summary
`WorkspaceScope()` Create the resource scope that indicates that the subscriber roots should be used

Method Summary
`String` | `getName()` Return the name of the scope
`IResource[]` | `getRoots()` Return the root resources that define this scope.

Methods inherited from class org.eclipse.team.ui.synchronize.AbstractSynchronizeScope
`addPropertyChangeListener, createScope, dispose, firePropertyChangedEvent, fireRootsChanges, init, removePropertyChangeListener, saveScope, saveState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkspaceScope

    public WorkspaceScope()

  Create the resource scope that indicates that the subscriber roots should be used

Method Detail

### getName

    public String getName()

  Description copied from interface: `ISynchronizeScope`
  Return the name of the scope

  Returns:
    the name of the scope

### getRoots

    public IResource[] getRoots()

  Description copied from interface: `ISynchronizeScope`
  Return the root resources that define this scope. A return value of `null` indicates that the participant should use its default set of resources.

  Returns:
    the root resources of `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.